Text::Wrap(3)

NAME
Text::Wrap - line wrapping to form simple paragraphs

SYNOPSIS

        use Text::Wrap
        print wrap($initial_tab, $subsequent_tab, @text);
        use Text::Wrap qw(wrap $columns);
        $columns = 132;

DESCRIPTION
Text::Wrap::wrap() is a very simple paragraph formatter. It formats a single paragraph at a time by breaking lines at word boundries. Indentation is controlled for the first line ($initial_tab) and all subsquent lines ($subsequent_tab) independently. $Text::Wrap::columns should be set to the full width of your output device.

EXAMPLE

        print wrap("\t","","This is a bit of text that forms
                a normal book-style paragraph");

BUGS
It's not clear what the correct behavior should be when Wrap() is presented with a word that is longer than a line. The previous behavior was to die. Now the word is split at line-length.

AUTHOR
David Muir Sharnoff <muir@idiom.com> with help from Tim Pierce and others.